BEGIN ABODHI

IF ~See(Player1)~
THEN BEGIN greetingStart
   SAY ~NO! No, it's mine! This life is mine!~
   ++ ~It's yours, if you will stop and listen.~ + choice1
   ++ ~These are the last seconds of your existance. Do you want to die that badly?~ + choice2
   ++ ~Die, monster!~ + endDeath1
   ++ ~These are the last seconds of your existance!~ + endDeath2
END

IF ~~ choice1
  SAY ~Stop and listen? I am not a stoopid girl, you know, <CHARNAME>.~
IF ~Global("AnomenVampire","GLOBAL",2)~ THEN GOTO evil1
IF ~Global("ViconiaVampire","GLOBAL",2)~ THEN GOTO evil2
IF ~Global("AerieVampire","GLOBAL",2)~ THEN GOTO evil3
IF ~Global("JaheiraVampire","GLOBAL",2)~ THEN GOTO evil4
IF ~!Global("AnomenVampire","GLOBAL",2)
!Global("ViconiaVampire","GLOBAL",2)
!Global("AerieVampire","GLOBAL",2)
!Global("JaheiraVampire","GLOBAL",2)~ THEN GOTO evil5
END

IF ~~ choice2
  SAY ~I don't want to die, <CHARNAME>. But I'm not a silly girl.~
IF ~Global("AnomenVampire","GLOBAL",2)~ THEN GOTO evil1
IF ~Global("ViconiaVampire","GLOBAL",2)~ THEN GOTO evil2
IF ~Global("AerieVampire","GLOBAL",2)~ THEN GOTO evil3
IF ~Global("JaheiraVampire","GLOBAL",2)~ THEN GOTO evil4
IF ~!Global("AnomenVampire","GLOBAL",2)
!Global("ViconiaVampire","GLOBAL",2)
!Global("AerieVampire","GLOBAL",2)
!Global("JaheiraVampire","GLOBAL",2)~ THEN GOTO evil5
END


IF ~~ evil1
  SAY ~I've kidnapped and turned to vampire this mister-do-good.~
  ++ ~You are right! Your punishment will be final death!~ + endDeath3
  IF ~~ THEN REPLY ~Anomen was a shizophrenic with mania of greatness.~ DO ~SetGlobal("Player1AllowsAnomen","LOCALS",1)~ GOTO evil5
  IF ~~ THEN REPLY ~I don't care about Anomen. It was only about sex.~ DO ~SetGlobal("Player1AllowsAnomen","LOCALS",1)~ GOTO evil5
  IF ~~ THEN REPLY ~Anomen is dead. And you are not yet.~ DO ~SetGlobal("Player1AllowsAnomen","LOCALS",1)~ GOTO evil5
  IF ~~ THEN REPLY ~As a vampire, Anomen will be more useful.~ DO ~SetGlobal("Player1AllowsAnomen","LOCALS",1)~ GOTO evil5
END


IF ~~ evil2
  SAY ~I've kidnapped and turned to vampire this underground whore.~
  ++ ~You are right! You will die for this!~ DO ~~ GOTO endDeath3
  IF ~~ THEN REPLY ~Viconia was a dirty whore.~ DO ~SetGlobal("Player1AllowsViconia","LOCALS",1)~ GOTO evil5  
  IF ~~ THEN REPLY ~I don't care about Viconia. It was only about sex.~ DO ~SetGlobal("Player1AllowsViconia","LOCALS",1)~ GOTO evil5
  IF ~~ THEN REPLY ~Viconia is dead. And you are not yet.~ DO ~SetGlobal("Player1AllowsViconia","LOCALS",1)~ GOTO evil5
  IF ~~ THEN REPLY ~As a vampire, Viconia will be more useful.~ DO ~SetGlobal("Player1AllowsViconia","LOCALS",1)~ GOTO evil5  
END

IF ~~ evil3
  SAY ~I've kidnapped and turned to vampire this elven bitch.~
  ++ ~You are right! You are the dead thing, not a woman.~ + endDeath3
  IF ~~ THEN REPLY ~Aerie was boring.~ DO ~SetGlobal("Player1AllowsAerie","LOCALS",1)~ GOTO evil5  
  IF ~~ THEN REPLY ~I don't care about Aerie. It was only about sex.~ DO ~SetGlobal("Player1AllowsAerie","LOCALS",1)~ GOTO evil5
  IF ~~ THEN REPLY ~Aerie is dead. And you are not yet.~ DO ~SetGlobal("Player1AllowsAerie","LOCALS",1)~ GOTO evil5
  IF ~~ THEN REPLY ~As a vampire, Aerie will be more useful.~ DO ~SetGlobal("Player1AllowsAerie","LOCALS",1)~ GOTO evil5  
END

IF ~~ evil4
  SAY ~I've kidnapped and turned to vampire this tree-hugger.~
  ++ ~You are right! You will die for all Harpers!~ + endDeath3
  IF ~~ THEN REPLY ~Jaheira was a stoopid lunatic with complex of teacher.~ DO ~SetGlobal("Player1AllowsJaheira","LOCALS",1)~ GOTO evil5  
  IF ~~ THEN REPLY ~I don't care about Jaheira. It was only about sex.~ DO ~SetGlobal("Player1AllowsJaheira","LOCALS",1)~ GOTO evil5
  IF ~~ THEN REPLY ~Jaheira is dead. And you are not yet.~ DO ~SetGlobal("Player1AllowsJaheira","LOCALS",1)~ GOTO evil5
  IF ~~ THEN REPLY ~As a vampire, Jaheira will be more useful.~ DO ~SetGlobal("Player1AllowsJaheira","LOCALS",1)~ GOTO evil5  
END

IF ~~ evil5
  SAY ~I have stealed Imoen's soul.~
   ++ ~You are right! Imoen will get back her soul!~ + endDeath3
  IF ~~ THEN REPLY ~I don't care about Imoen. You could have her soul, if you would be a good girl.~ DO ~SetGlobal("ImoenSoulAllow","LOCALS",1)~ GOTO evil10  
 IF ~~ THEN REPLY ~I don't care about Imoen. I care about you.~ DO ~SetGlobal("Player1Cares","LOCALS",1)~ GOTO evil11
  IF ~~ THEN REPLY ~You can have Imoen's soul. Bodhi, I love you and only you!~ DO ~SetGlobal("Player1Loves","LOCALS",1)~ GOTO evil17
END

IF ~~ evil10
  SAY ~What I must do to be a good girl? Must I give you this cursed Rynn Lanthorn and lick those elven asses?~
  ++ ~Simply said, yes.~ + evil14
  ++ ~You can join me and help to fix all that things you've broken, Bodhi.~ + evil15
  ++ ~You can join me and serve me well. I need Rynn Lanthorn to get to your brother. I don't care about the elves.~ + evil16
  ++ ~All right, I decided to kill you.~ + endDeath3
END

IF ~~ evil11
  SAY ~By what I deserved your 'care'?~
  IF ~!Gender("Player1",FEMALE)~ THEN REPLY ~You are a beautiful woman and a femme fatale I always dreamed of.~ DO ~SetGlobal("Player1Loves","LOCALS",1)~ GOTO evil17
  IF ~Gender("Player1",FEMALE)
Global("VampireWorldHomoSexOff","GLOBAL",0)~ THEN REPLY ~You are a beautiful woman and a femme fatale I always dreamed of.~ DO ~SetGlobal("Player1Loves","LOCALS",1)~ GOTO evil17
  IF ~~ THEN REPLY ~I like you, Bodhi. You are a smart woman. We can be good companions.~ DO ~~ GOTO evil17HSO
  ++ ~I like your style and have enjoed our cat-and-mouse play. You didn't kill me in Spellhold. You have a feeling for me.~ + evil18
  ++ ~You can join me and serve me well. I need Rynn Lanthorn to get to your brother. I don't care about the elves.~ + evil20
  ++ ~All right, I decided to kill you.~ + endDeath3
END

IF ~~ evil14
  SAY ~I better die than help these bastards!~
  IF ~~ THEN DO ~GiveItemCreate("MISCBP",Myself,1,1,0) ~ EXIT
END

IF ~~ evil15
  SAY ~There is nothing in this world than can be fixed.~
  IF ~~ THEN GOTO evil20
END

IF ~~ evil16
  SAY ~What will you do when we get here?~
  ++ ~I will kill your brother and take my soul back.~ + evil20
  ++ ~I don't know.~ + evil20
END

IF ~~ evil17HSO
  SAY ~You have my interest, <CHARNAME>. But before our fruitful union we must solve one problem.~
   IF ~~ THEN DO ~~ GOTO evil20
END


IF ~~ evil17
  SAY ~I didn't know you had this feelings about me. You have a chance than. But this could became something only if we will solve one problem.~
   IF ~~ THEN DO ~SetGlobal("BodhiRomance","GLOBAL",1)
SetGlobal("BodhiLoveSaid","LOCALS",1)~ GOTO evil20
END

IF ~~ evil18
  SAY ~I like you, that's true. You are the first mouse that exchanged roles with me. You are strong. You have managed to avoid traps laid by me and my brother. Maybe you are the one for me. But this could became something only if we will solve one problem.~
  IF ~~ THEN DO ~SetGlobal("BodhiRomance","GLOBAL",1)~ GOTO evil20
END


IF ~~ evil20
SAY ~I need my revenge on Suldanesselar. That is a purpose I lived until now.~
  ++ ~I will help you to have revenge on Suldanesselar.~ + revenge1
  ++ ~I will not help you to have revenge on Suldanesselar. But I will protect you from their inhabitants.~ + revenge3
  ++ ~I will not help you to do this.~ + revenge3
END


IF ~~ revenge1
  SAY ~You are strong and have managed to go this far. Hmmm.~
  IF ~Global("BodhiRomance","GLOBAL",1)~ THEN GOTO joined1
  IF ~!Global("BodhiRomance","GLOBAL",1)~ THEN GOTO joined2  
END

IF ~~ joined1
  SAY ~You say you have a feeling for me. Maybe I should trust you.~
  IF ~~ THEN GOTO joined3
END

IF ~~ joined2
  SAY ~Maybe I should trust you and help you better than helped my stoopid brother.~
  IF ~~ THEN GOTO joined3
END

IF ~~ joined3
  SAY ~To Suldanesselar then!~
  IF ~~ THEN DO ~SetGlobal("BodhiJoinedParty","GLOBAL",1)
  ClearActions(Myself)
ClearActions(Player1)
ClearActions(Player2)
ClearActions(Player3)
ClearActions(Player4)
ClearActions(Player5)
ClearActions(Player6)
DestroyItem("MISCBP") 
DestroyItem("HELMNOAN") 
DestroyItem("MINHP1")
SetGlobal("BodhiHaveImoenSoul","GLOBAL",1)
GiveItemCreate("VVCASKET",Myself,1,1,0) 
GiveItemCreate("c6lantho",Myself,1,1,0)
SetDialog("DBODHI")
ChangeStat(Myself,XP,4921445,ADD)
ChangeAIScript("DBODHI",CLASS)
ChangeAIScript("DBODHI",OVERRIDE)
ChangeAIScript("",GENERAL)
JoinParty()

~ EXIT
END


IF ~~ revenge3
  SAY ~I'll better die here and now that see happy faces of these so-called 'elves'!~
  IF ~~ THEN DO ~GiveItemCreate("MISCBP",Myself,1,1,0) ~ EXIT
END




IF ~~ endDeath3
  SAY ~See, <CHARNAME>, you no better than me!~
  IF ~~ THEN DO ~GiveItemCreate("MISCBP",Myself,1,1,0) ~ EXIT
END


IF ~~ endDeath1
  SAY ~Look who's talking!~
  IF ~~ THEN DO ~GiveItemCreate("MISCBP",Myself,1,1,0) ~ EXIT
END


IF ~~ endDeath2
  SAY ~I will not give it!~
  IF ~~ THEN DO ~GiveItemCreate("MISCBP",Myself,1,1,0) ~ EXIT
END



